SeExpr

Functions | Variables
varblocks.txt File Reference

## Functions
<!-- Copyright Disney Enterprises, Inc. All rights reserved. Licensed under the Apache License, Version 2.0(the "License");you may not use this file except in compliance with the License and the following modification to it:Section 6 Trademarks. deleted and replaced with:6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor and its affiliates, except as required for reproducing the content of the NOTICE file. You may obtain a copy of the License at http:-->< p > You can still define | resolveVar () and resolveFunc() methods in your custom expression classes
with numParticles numAttributes A variable block contains variable names and types but doesn t care what the values are< pre > void | f (const std::string &s, MyParticleData *p, int outputDim=3)
</pre > To parallelize evaluation per a simple parallel_for can be p | numParticles ())

## Variables
</pre > To parallelize evaluation per | particle
</pre > To parallelize evaluation per a simple parallel_for can be | used
</pre > To parallelize evaluation per a simple parallel_for can be p blocked_range | r
e evalMultiple & | myblock

## Function Documentation

## ◆ f()

with numParticles numAttributes A variable block contains variable names and types but doesn t care what the values are<pre> void f | ( | const std::string & | s,
|  | MyParticleData * | p,
|  | int | outputDim = `3`
| ) |  |

Definition at line 35 of file varblocks.txt.

References SeExpr2::VarBlockCreator::create(), p, SeExpr2::VarBlock::Pointer(), SeExpr2::VarBlockCreator::registerVariable(), and SeExpr2::TypeVec().

Referenced by SeExpr2::ExprIfThenElseNode::buildInterpreter(), SeExpr2::ExprAssignNode::buildInterpreter(), SeExpr2::ExprCompareNode::buildInterpreter(), SeExpr2::ExprBinaryOpNode::buildInterpreter(), SeExpr2::ExprVarNode::buildInterpreter(), ExprTextEdit::contextMenuEvent(), SeExpr2::copyVarToPromotedPosition(), SeExpr2::ExprFunc::define(), SeExpr2::defineInternal(), SeExpr2::defineInternal3(), SeExpr2::Expression::evalMultiple(), SeExpr2::getTemplatizedOp(), SeExpr2::getTemplatizedOp2(), ExprGrapherView::mouseMoveEvent(), SeExpr2::noiseHelper(), ExprGrapherView::paintGL(), and SeExpr2::ExprVecNode::value().

## ◆ numParticles()

</pre> To parallelize evaluation per a simple parallel_for can be p numParticles | ( |  | ) |

## ◆ resolveVar()

<!-- Copyright Disney Enterprises, Inc. All rights reserved. Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License and the following modification to it: Section 6 Trademarks. deleted and replaced with: 6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor and its affiliates, except as required for reproducing the content of the NOTICE file. You may obtain a copy of the License at http: --><p> You can still define resolveVar | ( |  | ) |

## Variable Documentation

## ◆ myblock

e evalMultiple& myblock

Definition at line 78 of file varblocks.txt.

## ◆ particle

</pre> To parallelize evaluation per particle

Definition at line 73 of file varblocks.txt.

## ◆ r

</pre> To parallelize evaluation per a simple parallel_for can be p blocked_range r

Initial value:
{
VarBlock myBlock=block.clone()

Definition at line 76 of file varblocks.txt.

Referenced by ExprSlider::mouseMoveEvent(), ExprSlider::paintEvent(), and VectorControl::updateControl().

## ◆ used

</pre> To parallelize evaluation per a simple parallel_for can be used

Definition at line 73 of file varblocks.txt.